> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bill payments summary

> Fetch summary report for bill payment



## OpenAPI

````yaml get /bills/summary
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /bills/summary:
    get:
      tags:
        - Bill Payments
      summary: Get bill payments summary
      description: Fetch summary report for bill payment
      operationId: Getbillpaymentssummary
      parameters:
        - name: from
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: '2024-03-15'
        - name: to
          in: query
          description: ''
          required: true
          style: form
          explode: true
          schema:
            type: string
            example: '2024-03-25'
        - name: Content-Type
          in: header
          description: ''
          required: true
          style: simple
          schema:
            enum:
              - application/json
            type: string
            example: application/json
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Sun, 24 Mar 2024 09:27:13 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '394'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"18a-EePKfdrOrTA0Qvn6ah7V5Q"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Getbillpaymentssummary'
                  - example:
                      status: success
                      message: Bill summary fetched successfully
                      data:
                        - currency: NGN
                          sum_bills: 1910
                          sum_commission: 30
                          sum_dstv: 1910
                          sum_airtime: 0
                          sum_ikedc: 0
                          sum_firs: 0
                          sum_ekedc: 0
                          sum_benindisco: 0
                          sum_kadunadisco: 0
                          sum_data: 0
                          count_dstv: 3
                          count_airtime: 0
                          count_ikedc: 0
                          count_ekedc: 0
                          count_benindisco: 0
                          count_kadunadisco: 0
                          count_firs: 0
                          count_data: 0
              example:
                status: success
                message: Bill summary fetched successfully
                data:
                  - currency: NGN
                    sum_bills: 1910
                    sum_commission: 30
                    sum_dstv: 1910
                    sum_airtime: 0
                    sum_ikedc: 0
                    sum_firs: 0
                    sum_ekedc: 0
                    sum_benindisco: 0
                    sum_kadunadisco: 0
                    sum_data: 0
                    count_dstv: 3
                    count_airtime: 0
                    count_ikedc: 0
                    count_ekedc: 0
                    count_benindisco: 0
                    count_kadunadisco: 0
                    count_firs: 0
                    count_data: 0
      deprecated: false
components:
  schemas:
    Getbillpaymentssummary:
      title: Getbillpaymentssummary
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/Data75'
          description: ''
      example:
        status: success
        message: Bill summary fetched successfully
        data:
          - currency: NGN
            sum_bills: 1910
            sum_commission: 30
            sum_dstv: 1910
            sum_airtime: 0
            sum_ikedc: 0
            sum_firs: 0
            sum_ekedc: 0
            sum_benindisco: 0
            sum_kadunadisco: 0
            sum_data: 0
            count_dstv: 3
            count_airtime: 0
            count_ikedc: 0
            count_ekedc: 0
            count_benindisco: 0
            count_kadunadisco: 0
            count_firs: 0
            count_data: 0
    Data75:
      title: Data75
      required:
        - currency
        - sum_bills
        - sum_commission
        - sum_dstv
        - sum_airtime
        - sum_ikedc
        - sum_firs
        - sum_ekedc
        - sum_benindisco
        - sum_kadunadisco
        - sum_data
        - count_dstv
        - count_airtime
        - count_ikedc
        - count_ekedc
        - count_benindisco
        - count_kadunadisco
        - count_firs
        - count_data
      type: object
      properties:
        currency:
          type: string
        sum_bills:
          type: integer
          format: int32
        sum_commission:
          type: integer
          format: int32
        sum_dstv:
          type: integer
          format: int32
        sum_airtime:
          type: integer
          format: int32
        sum_ikedc:
          type: integer
          format: int32
        sum_firs:
          type: integer
          format: int32
        sum_ekedc:
          type: integer
          format: int32
        sum_benindisco:
          type: integer
          format: int32
        sum_kadunadisco:
          type: integer
          format: int32
        sum_data:
          type: integer
          format: int32
        count_dstv:
          type: integer
          format: int32
        count_airtime:
          type: integer
          format: int32
        count_ikedc:
          type: integer
          format: int32
        count_ekedc:
          type: integer
          format: int32
        count_benindisco:
          type: integer
          format: int32
        count_kadunadisco:
          type: integer
          format: int32
        count_firs:
          type: integer
          format: int32
        count_data:
          type: integer
          format: int32
      example:
        currency: NGN
        sum_bills: 1910
        sum_commission: 30
        sum_dstv: 1910
        sum_airtime: 0
        sum_ikedc: 0
        sum_firs: 0
        sum_ekedc: 0
        sum_benindisco: 0
        sum_kadunadisco: 0
        sum_data: 0
        count_dstv: 3
        count_airtime: 0
        count_ikedc: 0
        count_ekedc: 0
        count_benindisco: 0
        count_kadunadisco: 0
        count_firs: 0
        count_data: 0
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````